[arch-commits] Commit in wv/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Oct 12 09:20:41 EDT 2008


    Date: Sunday, October 12, 2008 @ 09:20:36
  Author: jgc
Revision: 15067

Merged revisions 356,13748,15065 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/wv/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r13748 | allan | 2008-09-28 16:29:48 +0200 (Sun, 28 Sep 2008) | 1 line
  
  correct sourceforge url
........
  r15065 | jgc | 2008-10-12 15:19:00 +0200 (Sun, 12 Oct 2008) | 2 lines
  
  Fix PKGBUILD standards
........

Modified:
  wv/repos/extra-x86_64/	(properties)
  wv/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)


Property changes on: wv/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /wv/trunk:1
   + /wv/trunk:1-15066

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-12 13:19:45 UTC (rev 15066)
+++ extra-x86_64/PKGBUILD	2008-10-12 13:20:36 UTC (rev 15067)
@@ -10,13 +10,13 @@
 license=(GPL)
 depends=('libgsf>=1.14.3' 'libpng>=1.2.13')
 makedepends=('pkgconfig')
-options=('nolibtool')
-source=(http://heanet.dl.sf.net/sourceforge/wvware/${pkgname}-${pkgver}.tar.gz)
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/wvware/${pkgname}-${pkgver}.tar.gz)
 md5sums=('c1861c560491f121e12917fa76970ac5')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }




More information about the arch-commits mailing list